default:
  image: mcr.microsoft.com/dotnet/sdk:6.0

stages:
  - test
  - deploy

Test:
  stage: test
  script:
    - 'dotnet test --test-adapter-path:. --logger:"junit;LogFilePath=..\artifacts\{assembly}-test-result.xml;MethodFormat=Class;FailureBodyFormat=Verbose"'
  artifacts:
    when: always
    expire_in: 1 week
    paths:
      - ./**/*test-result.xml
    reports:
      junit:
        - ./**/*test-result.xml

Deploy:
  stage: deploy
  before_script:
    - 'apt-get update -y'
    - 'apt-get install zip -y'
    - 'apt-get install libfreetype6 -y'
  script:
    - 'dotnet publish -c Release -r win-x64  --self-contained -o ./PublishOutput ./MazeGame/MazeGame.csproj'
    - 'zip -r MazeGame.zip ./PublishOutput'
  artifacts:
    when: always
    expire_in: 2 weeks
    paths:
      - './MazeGame.zip'